/*
 * Hi folks !
 * If anyone of you out there does not know how to check if he's on a
 * PAL-Machine or not - this is the way to do it.

 * Just open the graphics library (this is done in most programs !!!)
 * and look at DisplayFlags (exists only under V1.2 (is anyone still
 * using V1.1 for developing new software ?!?))

 * By the way : Please use console device (or RawKeyConvert) for  ALL
 * keyboard-inputs (Just think about people with an A500 or any foreign
 * keyboards) and don't use any foreign char as control-char. Otherwise your
 * program will be useless for foreign countries (yes, there are some
 * AMIGA's outside the USA !!!)

 !!! Please use the +l option for correct compilation if you're using 
 !!! Aztec 3.4 . 

 * Feel free to contact me :
 *
 * Christof Bonnkirch
 * Jaegerstrasse 9
 * D-6074 Roedermark 3
 * West Germany
 *
 * Phone (voice) : (6074) 96712
 * sorry, no E-Mail !!
*/

#include <exec/types.h>
#include <graphics/gfx.h>
#include <graphics/gfxbase.h>
#include <graphics/gfxmacros.h>


struct GfxBase *GfxBase ;

main()
{
  if ((GfxBase = (struct GfxBase *) OpenLibrary ("graphics.library",0)) == NULL)
      { printf("No Graphics Library ?!?\n") ; exit (0) ; } ;
  printf("\nDisplayFlags: %ld",(*GfxBase).DisplayFlags) ;
  printf("\n\nThat means: ") ;
  if ((*GfxBase).DisplayFlags & PAL)  printf("PAL  (256/512 lines), ") ;
  else                                printf("NTSC (200/400 lines), ") ;
  if ((*GfxBase).DisplayFlags & GENLOC)   printf("Genlock attached\n");
  else                                    printf("no Genlock\n");
  printf("\n\n");
  CloseLibrary(GfxBase);
}
